
Summary: Olea RPM's release file and package configuration
Name: olea-repo-release
Version: 0.0.3
Release: 1olea
License: Public Domain
Group: System Environment/Base
URL: http://olea.org/paquetes-rpm/
BuildArch:      noarch

Source0: olea.channel
Source1: olea.list
Source2: olea.repo
Source3: RPM-GPG-KEY-ismaelolea
Source4: README-olea-repo

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

%description
Olea RPM's release file. This package register the repo into your smart, apt
and yum configuration.

GPG key is included.

%prep
%setup -c -T

%build

%install
%{__rm} -rf %{buildroot}
%{__cp} -a %{SOURCE1} %{SOURCE2} %{SOURCE3} .
%{__install} -Dp -m0644 %{SOURCE3} %{buildroot}%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-ismaelolea

%{__install} -Dp -m0644 %{SOURCE1} %{buildroot}%{_sysconfdir}/apt/sources.list.d/olea.list
%{__install} -Dp -m0644 %{SOURCE0} %{buildroot}%{_sysconfdir}/smart/channels/olea.channel
%{__install} -Dp -m0644 %{SOURCE2} %{buildroot}%{_sysconfdir}/yum.repos.d/olea.repo
%{__install} -Dp -m0644 %{SOURCE4} %{buildroot}%{_docdir}/README

%clean
%{__rm} -rf %{buildroot}

%post
%if %{!?_without_rpmpubkey:1}0
rpm -q gpg-pubkey-41d6b379-401f9033 &>/dev/null || rpm --import %{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-ismaelolea || :
%endif

%files
%defattr(-, root, root, 0755)
%if %{!?_without_rpmpubkey:1}0
%pubkey RPM-GPG-KEY-ismaelolea
%endif

%dir %{_sysconfdir}/apt/
%dir %{_sysconfdir}/apt/sources.list.d/
%config(noreplace) %{_sysconfdir}/apt/sources.list.d/olea.list
%dir %{_sysconfdir}/smart/
%dir %{_sysconfdir}/smart/channels/
%config(noreplace) %{_sysconfdir}/smart/channels/olea.channel
%dir %{_sysconfdir}/yum.repos.d/
%config(noreplace) %{_sysconfdir}/yum.repos.d/olea.repo
%dir %{_sysconfdir}/pki/rpm-gpg/
%config(noreplace)  %{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-ismaelolea
%doc %{_docdir}/README

%changelog
* Mon Mar 16 2009 Ismael Olea <ismael@olea.org> 0.0.3-1olea
- fixing typo to point to the right name for the GPG public key
- cleaning spec for the comfort of rpmlint

* Tue Jan 01 2008 Ismael Olea <ismael@olea.org> 0.0.2
- noarch version

* Thu Sep 27 2007 Ismael Olea <ismael@olea.org> 0.0.1
- first release
